#ifndef DYN_MODULES_MINIMIZE_HH
#define DYN_MODULES_MINIMIZE_HH

#include <vector>

#include <awali/common/param.hh>

#include <awali/dyn/core/automaton.hh>


namespace awali {
  namespace dyn {

  //Boolean automata only
  automaton_t minimal_automaton(automaton_t aut, param_t dir = HOPCROFT);
  automaton_t minimal_automaton(ratexp_t exp, param_t dir = HOPCROFT);

  }
}//end of ns awali::dyn

#endif
