#ifndef AWALI_DYN_LOADING_COMPILE_HH
#define AWALI_DYN_LOADING_COMPILE_HH

namespace awali {
  namespace dyn {
    namespace loading {
      
      std::string libname(const std::string& ctx, const std::string& name);
      std::string libname(const std::string& ctx1, const std::string& ctx2,
			  const std::string& name);
      
      std::string
      make_library(const std::string &name, const std::string &static_context,
		   bool check_dependency = false);
      std::string
      make_library(const std::string &name, const std::string &static_context1,
		   const std::string &static_context2,
		   bool check_dependency = false);
    }
  }
}

#endif
