#ifndef DYN_DERIVATION_HH
#define DYN_DERIVATION_HH
#include <map>
#include <awali/dyn/core/automaton.hh>
#include <awali/dyn/core/abstract-ratexp.hh>

namespace awali { namespace dyn {
/*
 TODO
  std::map<ratexp_t, weight_t> derivation(std::map<ratexp_t, weight_t> e, label_t a, bool breaking = false)
  std::map<ratexp_t, weight_t> derivation(std::map<ratexp_t, weight_t> e, std::string w, bool breaking = false)
  */

  std::map<ratexp_t, weight_t> derivation(ratexp_t exp, label_t a, bool breaking = false);
  automaton_t derived_term(ratexp_t exp, bool breaking = false, bool keep_history = true);

}}//end of ns awali::dyn

#endif
