#ifndef DYN_MODULES_EVAL_CC
#define DYN_MODULES_EVAL_CC

#include <map>
#include <awali/dyn/core/automaton.hh>
#include <awali/dyn/loading/handler.hh>

#include <awali/dyn/modules/eval.hh>
//Only for lal

namespace awali { namespace dyn {

  weight_t eval(automaton_t aut, any_t word) {
    return loading::call2<weight_t, any_t, &eval>("eval", "eval", aut, word);
  }

  std::map<any_t,weight_t> enumerate(automaton_t aut, unsigned max) {
    return loading::call2<std::map<any_t,weight_t>, unsigned, &enumerate>("enumerate", "eval",aut, max);
  }

  std::map<any_t,weight_t> shortest(automaton_t aut, unsigned max) {
    return loading::call2<std::map<any_t,weight_t>, unsigned, &shortest>("shortest", "eval",aut, max);
  }
}}//end of ns awali::dyn

#endif
